Eclipse GEF 3.2

## org.eclipse.gef.commands
Class UnexecutableCommand

    java.lang.Object
      org.eclipse.gef.commands.Command
          org.eclipse.gef.commands.UnexecutableCommand

public final class UnexecutableCommand
extends Command

A Command which can never be executed

Field Summary
`static UnexecutableCommand` `INSTANCE` The singleton instance

Method Summary
`boolean` `canExecute()`
`boolean` `canUndo()`

Methods inherited from class org.eclipse.gef.commands.Command
`chain, dispose, execute, getDebugLabel, getLabel, redo, setDebugLabel, setLabel, undo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final UnexecutableCommand INSTANCE

  The singleton instance

Method Detail

### canExecute

    public boolean canExecute()

  Overrides:
    `canExecute` in class `Command`
  Returns:
    `false`

### canUndo

    public boolean canUndo()

  Overrides:
    `canUndo` in class `Command`
  Returns:
    `false`

Eclipse GEF 3.2

Copyright (c) IBM Corp. and others 2000, 2006. All Rights Reserved.